unit uChinookMainForm;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.ListView.Types, FMX.ListView.Appearances, FMX.ListView.Adapters.Base,
  FMX.ListView, FMX.StdCtrls, FMX.Controls.Presentation, FMX.TabControl,
  System.Rtti, System.Bindings.Outputs, Fmx.Bind.Editors, Data.Bind.EngExt,
  Fmx.Bind.DBEngExt, Data.Bind.Components, Data.Bind.DBScope, FMX.Grid.Style,
  Fmx.Bind.Grid, Data.Bind.Grid, FMX.ScrollBox, FMX.Grid, Data.Bind.GenData,
  Data.Bind.ObjectScope;

type
  TChinookMainForm = class(TForm)
    ToolBar1: TToolBar;
    Label1: TLabel;
    TabControl1: TTabControl;
    ArtistsTabItem: TTabItem;
    ArtistsListView: TListView;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    LinkListControlToField1: TLinkListControlToField;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    procedure UpdateArtistsListView;
  end;

var
  ChinookMainForm: TChinookMainForm;

implementation

{$R *.fmx}

uses uChinookDataModule, FireDAC.Comp.Client;

procedure TChinookMainForm.FormCreate(Sender: TObject);
begin
//  UpdateArtistsListView;
  ChinookDataModule.ArtistSelectQuery.Open;
end;

procedure TChinookMainForm.UpdateArtistsListView;
var LQuery: TFDQuery;
begin
  LQuery:= ChinookDataModule.ArtistSelectQuery;
  ArtistsListView.BeginUpdate;
  try
    LQuery.Open;
    try
      while not LQuery.Eof do
      begin
        var item:= ArtistsListView.Items.Add;
        item.Tag:= LQuery.FieldByName('ArtistID').AsInteger;
        item.Objects.FindObjectT<TListItemText>('ArtistID').Text:=
          LQuery.FieldByName('ArtistID').AsString;
        item.Objects.FindObjectT<TListItemText>('Name').Text:=
          LQuery.FieldByName('Name').AsString;
        LQuery.Next;
      end;
    finally
      LQuery.Close;
    end;
  finally
    ArtistsListView.EndUpdate;
  end;
end;

end.
